import { FlowElementEnhanced } from "./bpmn-flow-enhanced-element";
import { VariableProposals } from "./variable-proposals";
import { ServiceWithMock } from "./service-with-mock";
import { ExternalTopicWithMocks } from "./external-topic-with-mocks";

export interface FlowInfo {
    userInputs: Array<FlowElementEnhanced>;
    variables: Array<VariableProposals>;
    delegateServices: Array<ServiceWithMock>;
    externalTopics: Array<ExternalTopicWithMocks>;
}